#include "uart.h"


void Uart_Init(void)
{
	SYSCON |= 0xC0;//系统时钟不分频
	CKCON = 0x00;	
	P2CR &= 0xFC;
	P2CR |= 0x04;
	ALFSEL1 = 0x03;//串口复用

	/********BAUD SET 9600*********/
	//BAUD = F/(16*(32768-SBRT)+SFINE)
	SBRTH = 0xFF;
	SBRTL = 0xe6;
	SFINE = 0x01;		//波特率发生器微调数据寄存器
	SCON = 0x50;		//选择方式1
	
	
}

/*发送一个字节*/
void sendChar(uint8_t TxChar)
{
	SBUF = TxChar;
}

/*发送一个字符串*/
void sendString(uint8_t *TxStr)
{
	while((*TxStr) != '\0')	//如果字符不为’\0’，继续发送
	{
		sendChar(*TxStr);			//发送当前字符串指针指向的字符；
		TxStr++;							//字符串指针加1
	}
}

/*
将收到的数据发送出来
*/
void Uart_Test(void)
{
	Uart_Init();
	IEN0 = 0x90; //开启uart中断
	
	
	while(1)
	{
		;
	}
}

